Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.actions
Class GoToNonLocal<T extends Destination>

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.actions.Action
              org.pdfclown.documents.interaction.actions.GoToDestination<T>
                  org.pdfclown.documents.interaction.actions.GoToNonLocal<T>

All Implemented Interfaces:
  Cloneable, IGoToAction, IPdfObjectWrapper

Direct Known Subclasses:
  GoToEmbedded, GoToRemote

    @PDF(value=PDF11)
    public abstract class GoToNonLocal<T extends Destination>

extends GoToDestination<T>

Abstract 'go to non-local destination' action.

Since:
  0.0.8
Version:
  0.1.2, 09/24/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`protected` | `GoToNonLocal(Document context, PdfName actionType, FileSpecification<?> destinationFile, T destination)`
`protected` | `GoToNonLocal(PdfDirectObject baseObject)`

Method Summary
`FileSpecification<?>` | `getDestinationFile()` Gets the file in which the destination is located.
`EnumSet<OptionsEnum>` | `getOptions()` Gets the action options.
`void` | `setDestinationFile(FileSpecification<?> value)`
`void` | `setOptions(EnumSet<OptionsEnum> value)`

Methods inherited from class org.pdfclown.documents.interaction.actions.GoToDestination
`getDestination, setDestination`

Methods inherited from class org.pdfclown.documents.interaction.actions.Action
`clone, getActions, setActions, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GoToNonLocal

    protected GoToNonLocal(Document context,
                           PdfName actionType,
                           FileSpecification<?> destinationFile,
                           T destination)

### GoToNonLocal

    protected GoToNonLocal(PdfDirectObject baseObject)

Method Detail

### getDestinationFile

    public FileSpecification<?> getDestinationFile()

  Gets the file in which the destination is located.

### getOptions

    public EnumSet<OptionsEnum> getOptions()

  Gets the action options.

### setDestinationFile

    public void setDestinationFile(FileSpecification<?> value)

  See Also:
    `getDestinationFile()`

### setOptions

    public void setOptions(EnumSet<OptionsEnum> value)

  See Also:
    `getOptions()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.